<template>
  <div class="table-item">
    <p style="text-align: center;margin-bottom: 10px;">{{ laboratory.label }} {{ Number(month.split('-')[1]) }} 月份员工互评打分表</p>
    <el-table
    :data="tableData"
    style="width: 100%" height="calc(100% - 20px)">
      <el-table-column
        type="index"
        label="序号"
        width="55">
      </el-table-column>
      <el-table-column label="姓名">
      </el-table-column>
      <el-table-column label="检测及时性">
        <el-table-column label="及时完成">
          <el-table-column label="20" width="90px">
            <template slot-scope="scope">
              <el-radio :label="20" v-model="scope.row.radio0">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
        <el-table-column label="催促完成">
          <el-table-column label="15" width="90px">
            <template slot-scope="scope">
              <el-radio :label="15" v-model="scope.row.radio0">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
        <el-table-column label="延期较长">
          <el-table-column label="10" width="90px">
            <template slot-scope="scope">
              <el-radio :label="10" v-model="scope.row.radio0">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
      </el-table-column>
      <el-table-column label="检测准确性">
        <el-table-column label="全月无错">
          <el-table-column label="20" width="90px">
            <template slot-scope="scope">
              <el-radio :label="20" v-model="scope.row.radio1">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
        <el-table-column label="偶有失误">
          <el-table-column label="15" width="90px">
            <template slot-scope="scope">
              <el-radio :label="15" v-model="scope.row.radio1">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
        <el-table-column label="频繁错误">
          <el-table-column label="10" width="90px">
            <template slot-scope="scope">
              <el-radio :label="10" v-model="scope.row.radio1">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
      </el-table-column>
      <el-table-column label="操作技能">
        <el-table-column label="操作熟练">
          <el-table-column label="20" width="90px">
            <template slot-scope="scope">
              <el-radio :label="20" v-model="scope.row.radio2">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
        <el-table-column label="操作基本熟练">
          <el-table-column label="15" width="120px">
            <template slot-scope="scope">
              <el-radio :label="15" v-model="scope.row.radio2">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
        <el-table-column label="需要指导">
          <el-table-column label="12" width="90px">
            <template slot-scope="scope">
              <el-radio :label="12" v-model="scope.row.radio2">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
      </el-table-column>
      <el-table-column label="设备维护">
        <el-table-column label="自觉维护">
          <el-table-column label="10" width="90px"">
            <template slot-scope="scope">
              <el-radio :label="10" v-model="scope.row.radio3">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
        <el-table-column label="能维护">
          <el-table-column label="5" width="80px"">
            <template slot-scope="scope">
              <el-radio :label="5" v-model="scope.row.radio3">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
        <el-table-column label="无意识">
          <el-table-column label="2" width="80px"">
            <template slot-scope="scope">
              <el-radio :label="2" v-model="scope.row.radio3">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
      </el-table-column>
      <el-table-column label="遵章守纪">
        <el-table-column label="自觉遵守" >
          <el-table-column label="10" width="90px"">
            <template slot-scope="scope">
              <el-radio :label="10" v-model="scope.row.radio4">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
        <el-table-column label="被动遵守">
          <el-table-column label="7" width="90px"">
            <template slot-scope="scope">
              <el-radio :label="7" v-model="scope.row.radio4">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
        <el-table-column label="经常违纪">
          <el-table-column label="5" width="90px"">
            <template slot-scope="scope">
              <el-radio :label="5" v-model="scope.row.radio4">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
      </el-table-column>
      <el-table-column label="团结协作">
        <el-table-column label="团结协作">
          <el-table-column label="10" width="90px"">
            <template slot-scope="scope">
              <el-radio :label="10" v-model="scope.row.radio5">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
        <el-table-column label="基本融洽">
          <el-table-column label="8" width="90px"">
            <template slot-scope="scope">
              <el-radio :label="8" v-model="scope.row.radio5">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
      </el-table-column>
      <el-table-column label="5S-3定">
        <el-table-column label="包干区整洁">
          <el-table-column label="10" width="110px"">
            <template slot-scope="scope">
              <el-radio :label="10" v-model="scope.row.radio6">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
        <el-table-column label="存在不清洁点">
          <el-table-column label="7" width="130px"">
            <template slot-scope="scope">
              <el-radio :label="7" v-model="scope.row.radio6">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
      </el-table-column>
      <el-table-column label="得分">
        <el-table-column label="100" width="70px"">
        </el-table-column>
      </el-table-column>
    </el-table>
  </div>
</template>

<script>
export default {
  props:{
    month:String,
    laboratory:Object
  },
  data(){
    return{
      tableData:[
        {
          radio0:0,
          radio1:0,
          radio2:0,
          radio3:0,
          radio4:0,
          radio5:0,
          radio6:0,
        }
      ],
      radio:20
    }
  }
}
</script>

<style scoped>
.table-item{
  width: 100%;
  height: 100%;
}
>>>.el-table--border th.el-table__cell, .el-table__fixed-right-patch{
  border-color: rgb(225, 223, 223);
}
>>>.el-table .cell, .el-table--border .el-table__cell .cell{
  text-align: center;
}
</style>
